import React, { Component, PropTypes } from 'react';


class Button extends Component {

  constructor(props) {
    super(props);

  }

  render() {
    return (
      <button type={this.props.type}
              className={this.props.className}
              onClick={this.props.onClick}>
        {this.props.children}
      </button>
    );
  }

}

Button.propTypes = {
  type: PropTypes.string.isRequired,
  className: PropTypes.string.isRequired,
  onClick: PropTypes.func
};

export default Button;